/*---------------------------------------------------------------------------
logger.h

Markus Zolliker, Sept 2004
----------------------------------------------------------------------------
*/

#ifndef LOGGER_H
#define LOGGER_H

#include <time.h>

typedef struct Logger Logger;

Logger *LoggerMake(char *name, int period, int exact);
void LoggerKill(Logger *log);
int LoggerWrite(Logger *log, time_t now, int period, char *value);
char *LoggerName(Logger *log);
void LoggerSetNumeric(Logger *log, int numeric);
void LoggerSetDir(char *dirarg);
void LoggerWriteOld(Logger *log, time_t now);
time_t LoggerLastTime(Logger *log);
int LoggerGetStatus(Logger *log);
void LoggerSetStatus(Logger *log, int status);

#endif
